<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: CmsController.php,v 1.4.12.1 2025/11/21 09:49:07 qvarin Exp $
namespace Pmb\CMS\Opac\Controller;

use Pmb\Common\Opac\Controller\Controller;
use Pmb\CMS\Library\Build\PortalBuild;

class CmsController extends Controller
{

    public function proceed()
    {
        $portalBuild = new PortalBuild();
        $portalBuild->cleanOutdatedCache();
        return $portalBuild->transformHTML($this->data->html);
    }
}